Spring Boot 3.0.0-M1 正式上线

来源: 投稿
作者: 星夜命运
2022-01-21 10:23:00

最有可能引领JDK17和jakarta 实现普及的框架上线了,虽然是第一个版本有很多不兼容的地方,但是也正式迈出了第一步,有对新的生态感兴趣的推荐试用。

在第一个里程碑中,我们开启了我们通往下一代 Spring 框架的激动人心的旅程,并将我们的最低JDK要求从 Java 8 提升到 Java 17。计划每两个月发布一个新的 Spring Boot 3.0 里程碑。M2 应该会在 3 月 24 日发布,并计划在 11 月下旬发布 GA 版本。

如果您想要尝试使用 Spring Boot 3.0 的应用,需要注意我们已将所有 Java EE API 迁移到Jakarta EE 。对于大多数用户来说,这意味着您需要将任何javax类库替换为jakarta. 例如,javax.servlet.Filter将替换为jakarta.servlet.Filter.

我们仍在等待一些第三方软件库发布 Jakarta EE 兼容版本,因此并非所有 Spring Boot 2.x 功能都可用于第一个里程碑。我们计划在适当的时候将这些功能重新引入。

展开阅读全文
精彩评论
有些人别嘴硬了 Spring 5 基准8的时候,还都信誓旦旦坚守1.7呢?技术风向的引领不是普普通通的开发者,也存在“霸权“。
2022-01-21 12:27
17
举报
java8之所坚挺,主要还是因为spring家的支持,如果spring家的不支持,哪怕java17的甲骨文虚拟机收费,恐怕也有人会用openjdk
2022-01-21 10:55
3
举报
新项目可以考虑的
2022-01-21 14:39
1
举报
java生态少有的不兼容更新
2022-01-21 12:56
1
举报
3 收藏
分享
20 评论
3 收藏
分享
返回顶部
顶部
返回顶部
顶部